'use strict';
/** Imports */

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function () {
  return {
    manipulateOptions: function manipulateOptions(opts, parserOpts) {
      parserOpts.plugins.push(PLUGIN_NAME);
    }
  };
};

var _parser = require('babylon/lib/parser');

var _parser2 = _interopRequireDefault(_parser);

var _types = require('babylon/lib/tokenizer/types');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** Constants */
var CHAR_CODES = '|>'.split('').map(function (c) {
  return c.charCodeAt(0);
});
var PLUGIN_NAME = 'pipeline';

var beforeExpr = true;

/** Types */
_types.types.pipeline = new _types.TokenType('|>', { beforeExpr: beforeExpr, binop: 12 });

/** Parser */
var pp = _parser2.default.prototype;

pp.readToken_pipeline = function readToken_pipeline(code) {
  // eslint-disable-line camelcase
  return this.finishOp(_types.types.pipeline, 2);
};

/** Plugin */
function plugin(instance) {
  instance.extend('readToken', function (inner) {
    return function readToken(code) {
      var next = this.input.charCodeAt(this.state.pos + 1);

      if (!(code === CHAR_CODES[0] && next === CHAR_CODES[1])) {
        return inner.call(this, code);
      }

      return this.readToken_pipeline(code);
    };
  });
}

/** Export */
_parser.plugins[PLUGIN_NAME] = plugin;
//# sourceMappingURL=index.js.map