'use strict';
/* global it, describe */
/** Imports */

require('./helper');

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _chai = require('chai');

var chai = _interopRequireWildcard(_chai);

var _babelCore = require('babel-core');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** Constants */
var babelOptions = {
  plugins: [_path2.default.join(__dirname, '../index.js')]
};

/** Init */
var expect = chai.expect;

/** Tests */

describe('pipeline operator', function () {
  it('should work', function () {
    (0, _babelCore.transform)('\n      const res = user.name\n        |> capitalize\n        |> sayHello;\n    ', babelOptions);

    (0, _babelCore.transform)('\n      const res = user.score\n        |> (_ => _ * 2)\n        |> (_ => _.toFixed(3));\n    ', babelOptions);

    (0, _babelCore.transform)('\n      const pathToUrl = (rootDir, filePath) => [rootDir, filePath]\n        |> ((args) => path.relative(...args))\n        |> path.dirname\n        |> ((res) => res.split(path.sep).join(path.posix.sep))\n        |> ((res) => \'/\' + (res === \'.\' ? \'\' : (res + \'/\')))\n        |> ((res) => res.replace(/@/g, \':\'));\n    ', babelOptions);
  });

  it('should raise error', function () {
    expect(function () {
      return (0, _babelCore.transform)('\n        const res\n          |> capitalize\n          |> sayHello;\n      ', babelOptions);
    }).to.throw(SyntaxError, /Unexpected token/);

    expect(function () {
      return (0, _babelCore.transform)('\n        |> capitalize\n        |> sayHello;\n      ', babelOptions);
    }).to.throw(SyntaxError, /Unexpected token/);

    expect(function () {
      return (0, _babelCore.transform)('\n        const res = user.score\n          |> _ => _ * 2\n          |> _ => _.toFixed(3);\n      ', babelOptions);
    }).to.throw(SyntaxError, /Unexpected token/);

    expect(function () {
      return (0, _babelCore.transform)('\n        const pathToUrl = (rootDir, filePath) =>\n          |> ((args) => path.relative(...args))\n          |> path.dirname\n          |> ((res) => res.split(path.sep).join(path.posix.sep))\n          |> ((res) => \'/\' + (res === \'.\' ? \'\' : (res + \'/\')))\n          |> ((res) => res.replace(/@/g, \':\'));\n      ', babelOptions);
    }).to.throw(SyntaxError, /Unexpected token/);
  });
});
//# sourceMappingURL=test.js.map